package org.gcube.application;

import org.gcube.application.shared.GeoNaDataViewerProfile;
import org.gcube.common.scope.api.ScopeProvider;

public class TestGeonaReader {
	

	private static String scope ="/gcube/devsec/devVRE";
	
	public static void main(String[] args) throws Exception {
		
		getGeoNaDataViewProfile();
		
	}

	public static GeoNaDataViewerProfile getGeoNaDataViewProfile() throws Exception{
		System.out.println("getGeoNaDataViewProfile called");
		
		ScopeProvider.instance.set(scope);
		GeoNaDataViewerProfileReader gdvp = new GeoNaDataViewerProfileReader("geoportal-data-viewer-app");
		GeoNaDataViewerProfile profile = gdvp.readProfileFromInfrastrucure();
		System.out.println("Returning profile: "+profile);
		return profile;
	}
	

}
